# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/boe,himax8279d.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Boe Himax8279d 1200x1920 TFT LCD panel

maintainers:
  - Jerry Han <jerry.han.hq@gmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - const: boe,himax8279d8p
      - const: boe,himax8279d10p

  backlight: true
  enable-gpios: true
  reg: true

  pp33-gpios:
    maxItems: 1
    description: GPIO for the 3.3v pin that provides the supply voltage

  pp18-gpios:
    maxItems: 1
    description: GPIO for the 1.8v pin that provides the supply voltage

required:
  - compatible
  - reg
  - enable-gpios
  - pp33-gpios
  - pp18-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;
        panel@0 {
            compatible = "boe,himax8279d8p", "boe,himax8279d10p";
            reg = <0>;
            backlight = <&backlight>;
            enable-gpios = <&gpio 45 GPIO_ACTIVE_HIGH>;
            pp33-gpios = <&gpio 35 GPIO_ACTIVE_HIGH>;
            pp18-gpios = <&gpio 36 GPIO_ACTIVE_HIGH>;
        };
    };

...
